"""
Silique (https://www.silique.fr)
Copyright (C) 2025
            
This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from typing import List


from .github import Formatter as GithubFormatter
from ..i18n import _


class Formatter(GithubFormatter):
    name = "gitlab"
    level = 51

    def title(self, title: str, level: int) -> str:
        #        self.max_line_variable = 0
        return "<details><summary>" + title + "</summary>\n\n"

    def end_family(self, level):
        return "</details>\n\n"

    def columns(
        self,
        col: List[str],
    ) -> None:
        pass

    def family_informations(self) -> str:
        return f"> [!note] 🛈 {_('Informations')}\n"

    def table_header(self, lst):
        """Manage the header of a table"""
        return lst
